Bug 831433 - pulseaudio-libs-devel multilib conflict
pulseaudio-libs-devel multilib conflict
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: pulseaudio (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
:
: 809461 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-12 20:18 EDT by Philippe Troin
Modified: 2013-07-31 23:08 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 23:08:09 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
gatlinsullivan: needinfo+


Attachments (Terms of Use)

  None (edit)
Description Philippe Troin 2012-06-12 20:18:31 EDT
# yum install pulseaudio-libs-devel-1.1-9.fc17.i686
Loaded plugins: changelog, downloadonly, priorities, remove-with-leaves, show-
              : leaves, tsflags
16 packages excluded due to repository priority protections
Resolving Dependencies
--> Running transaction check
---> Package pulseaudio-libs-devel.i686 0:1.1-9.fc17 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package                      Arch        Version           Repository     Size
================================================================================
Installing:
 pulseaudio-libs-devel        i686        1.1-9.fc17        fedora        335 k

Transaction Summary
================================================================================
Install  1 Package

Total size: 335 k
Installed size: 3.2 M
Is this ok [y/N]: y
Downloading Packages:
Running Transaction Check
Running Transaction Test


Transaction Check Error:
  file /usr/share/doc/pulseaudio-libs-devel-1.1/html/annotated.html from install of pulseaudio-libs-devel-1.1-9.fc17.i686 conflicts with file from package pulseaudio-libs-devel-1.1-9.fc17.x86_64
  file /usr/share/doc/pulseaudio-libs-devel-1.1/html/async.html from install of pulseaudio-libs-devel-1.1-9.fc17.i686 conflicts with file from package pulseaudio-libs-devel-1.1-9.fc17.x86_64
  file /usr/share/doc/pulseaudio-libs-devel-1.1/html/channelmap.html from install of pulseaudio-libs-devel-1.1-9.fc17.i686 conflicts with file from package pulseaudio-libs-devel-1.1-9.fc17.x86_64
  file /usr/share/doc/pulseaudio-libs-devel-1.1/html/channelmap_8h.html from install of pulseaudio-libs-devel-1.1-9.fc17.i686 conflicts with file from package pulseaudio-libs-devel-1.1-9.fc17.x86_64
  file /usr/share/doc/pulseaudio-libs-devel-1.1/html/channelmap_8h_source.html from install of pulseaudio-libs-devel-1.1-9.fc17.i686 conflicts with file from package pulseaudio-libs-devel-1.1-9.fc17.x86_64
  file /usr/share/doc/pulseaudio-libs-devel-1.1/html/classes.html from install of pulseaudio-libs-devel-1.1-9.fc17.i686 conflicts with file from package pulseaudio-libs-devel-1.1-9.fc17.x86_64
  file /usr/share/doc/pulseaudio-libs-devel-1.1/html/context_8h.html from install of pulseaudio-libs-devel-1.1-9.fc17.i686 conflicts with file from package pulseaudio-libs-devel-1.1-9.fc17.x86_64
  file /usr/share/doc/pulseaudio-libs-devel-1.1/html/context_8h_source.html from install of pulseaudio-libs-devel-1.1-9.fc17.i686 conflicts with file from package pulseaudio-libs-devel-1.1-9.fc17.x86_64
  file /usr/share/doc/pulseaudio-libs-devel-1.1/html/def_8h.html from install of pulseaudio-libs-devel-1.1-9.fc17.i686 conflicts with file from package pulseaudio-libs-devel-1.1-9.fc17.x86_64
  file /usr/share/doc/pulseaudio-libs-devel-1.1/html/def_8h_source.html from install of pulseaudio-libs-devel-1.1-9.fc17.i686 conflicts with file from package pulseaudio-libs-devel-1.1-9.fc17.x86_64
  file /usr/share/doc/pulseaudio-libs-devel-1.1/html/error_8h.html from install of pulseaudio-libs-devel-1.1-9.fc17.i686 conflicts with file from package pulseaudio-libs-devel-1.1-9.fc17.x86_64
  file /usr/share/doc/pulseaudio-libs-devel-1.1/html/error_8h_source.html from install of pulseaudio-libs-devel-1.1-9.fc17.i686 conflicts with file from package pulseaudio-libs-devel-1.1-9.fc17.x86_64
  file /usr/share/doc/pulseaudio-libs-devel-1.1/html/examples.html from install of pulseaudio-libs-devel-1.1-9.fc17.i686 conflicts with file from package pulseaudio-libs-devel-1.1-9.fc17.x86_64
  file /usr/share/doc/pulseaudio-libs-devel-1.1/html/ext-stream-restore_8h.html from install of pulseaudio-libs-devel-1.1-9.fc17.i686 conflicts with file from package pulseaudio-libs-devel-1.1-9.fc17.x86_64
  file /usr/share/doc/pulseaudio-libs-devel-1.1/html/ext-stream-restore_8h_source.html from install of pulseaudio-libs-devel-1.1-9.fc17.i686 conflicts with file from package pulseaudio-libs-devel-1.1-9.fc17.x86_64
  file /usr/share/doc/pulseaudio-libs-devel-1.1/html/files.html from install of pulseaudio-libs-devel-1.1-9.fc17.i686 conflicts with file from package pulseaudio-libs-devel-1.1-9.fc17.x86_64
  file /usr/share/doc/pulseaudio-libs-devel-1.1/html/format_8h.html from install of pulseaudio-libs-devel-1.1-9.fc17.i686 conflicts with file from package pulseaudio-libs-devel-1.1-9.fc17.x86_64
  file /usr/share/doc/pulseaudio-libs-devel-1.1/html/format_8h_source.html from install of pulseaudio-libs-devel-1.1-9.fc17.i686 conflicts with file from package pulseaudio-libs-devel-1.1-9.fc17.x86_64
  file /usr/share/doc/pulseaudio-libs-devel-1.1/html/functions.html from install of pulseaudio-libs-devel-1.1-9.fc17.i686 conflicts with file from package pulseaudio-libs-devel-1.1-9.fc17.x86_64
  file /usr/share/doc/pulseaudio-libs-devel-1.1/html/functions_vars.html from install of pulseaudio-libs-devel-1.1-9.fc17.i686 conflicts with file from package pulseaudio-libs-devel-1.1-9.fc17.x86_64
  file /usr/share/doc/pulseaudio-libs-devel-1.1/html/gccmacro_8h.html from install of pulseaudio-libs-devel-1.1-9.fc17.i686 conflicts with file from package pulseaudio-libs-devel-1.1-9.fc17.x86_64
  file /usr/share/doc/pulseaudio-libs-devel-1.1/html/gccmacro_8h_source.html from install of pulseaudio-libs-devel-1.1-9.fc17.i686 conflicts with file from package pulseaudio-libs-devel-1.1-9.fc17.x86_64
  file /usr/share/doc/pulseaudio-libs-devel-1.1/html/glib-mainloop.html from install of pulseaudio-libs-devel-1.1-9.fc17.i686 conflicts with file from package pulseaudio-libs-devel-1.1-9.fc17.x86_64
  file /usr/share/doc/pulseaudio-libs-devel-1.1/html/glib-mainloop_8h.html from install of pulseaudio-libs-devel-1.1-9.fc17.i686 conflicts with file from package pulseaudio-libs-devel-1.1-9.fc17.x86_64
  file /usr/share/doc/pulseaudio-libs-devel-1.1/html/glib-mainloop_8h_source.html from install of pulseaudio-libs-devel-1.1-9.fc17.i686 conflicts with file from package pulseaudio-libs-devel-1.1-9.fc17.x86_64
  file /usr/share/doc/pulseaudio-libs-devel-1.1/html/globals.html from install of pulseaudio-libs-devel-1.1-9.fc17.i686 conflicts with file from package pulseaudio-libs-devel-1.1-9.fc17.x86_64
  file /usr/share/doc/pulseaudio-libs-devel-1.1/html/globals_0x62.html from install of pulseaudio-libs-devel-1.1-9.fc17.i686 conflicts with file from package pulseaudio-libs-devel-1.1-9.fc17.x86_64
  file /usr/share/doc/pulseaudio-libs-devel-1.1/html/globals_0x63.html from install of pulseaudio-libs-devel-1.1-9.fc17.i686 conflicts with file from package pulseaudio-libs-devel-1.1-9.fc17.x86_64
  file /usr/share/doc/pulseaudio-libs-devel-1.1/html/globals_0x64.html from install of pulseaudio-libs-devel-1.1-9.fc17.i686 conflicts with file from package pulseaudio-libs-devel-1.1-9.fc17.x86_64
  file /usr/share/doc/pulseaudio-libs-devel-1.1/html/globals_0x65.html from install of pulseaudio-libs-devel-1.1-9.fc17.i686 conflicts with file from package pulseaudio-libs-devel-1.1-9.fc17.x86_64
  file /usr/share/doc/pulseaudio-libs-devel-1.1/html/globals_0x66.html from install of pulseaudio-libs-devel-1.1-9.fc17.i686 conflicts with file from package pulseaudio-libs-devel-1.1-9.fc17.x86_64
  file /usr/share/doc/pulseaudio-libs-devel-1.1/html/globals_0x67.html from install of pulseaudio-libs-devel-1.1-9.fc17.i686 conflicts with file from package pulseaudio-libs-devel-1.1-9.fc17.x86_64
  file /usr/share/doc/pulseaudio-libs-devel-1.1/html/globals_0x69.html from install of pulseaudio-libs-devel-1.1-9.fc17.i686 conflicts with file from package pulseaudio-libs-devel-1.1-9.fc17.x86_64
  file /usr/share/doc/pulseaudio-libs-devel-1.1/html/globals_0x6c.html from install of pulseaudio-libs-devel-1.1-9.fc17.i686 conflicts with file from package pulseaudio-libs-devel-1.1-9.fc17.x86_64
  file /usr/share/doc/pulseaudio-libs-devel-1.1/html/globals_0x6d.html from install of pulseaudio-libs-devel-1.1-9.fc17.i686 conflicts with file from package pulseaudio-libs-devel-1.1-9.fc17.x86_64
  file /usr/share/doc/pulseaudio-libs-devel-1.1/html/globals_0x6e.html from install of pulseaudio-libs-devel-1.1-9.fc17.i686 conflicts with file from package pulseaudio-libs-devel-1.1-9.fc17.x86_64
  file /usr/share/doc/pulseaudio-libs-devel-1.1/html/globals_0x6f.html from install of pulseaudio-libs-devel-1.1-9.fc17.i686 conflicts with file from package pulseaudio-libs-devel-1.1-9.fc17.x86_64
  file /usr/share/doc/pulseaudio-libs-devel-1.1/html/globals_0x70.html from install of pulseaudio-libs-devel-1.1-9.fc17.i686 conflicts with file from package pulseaudio-libs-devel-1.1-9.fc17.x86_64
  file /usr/share/doc/pulseaudio-libs-devel-1.1/html/globals_0x72.html from install of pulseaudio-libs-devel-1.1-9.fc17.i686 conflicts with file from package pulseaudio-libs-devel-1.1-9.fc17.x86_64
  file /usr/share/doc/pulseaudio-libs-devel-1.1/html/globals_0x73.html from install of pulseaudio-libs-devel-1.1-9.fc17.i686 conflicts with file from package pulseaudio-libs-devel-1.1-9.fc17.x86_64
  file /usr/share/doc/pulseaudio-libs-devel-1.1/html/globals_0x74.html from install of pulseaudio-libs-devel-1.1-9.fc17.i686 conflicts with file from package pulseaudio-libs-devel-1.1-9.fc17.x86_64
  file /usr/share/doc/pulseaudio-libs-devel-1.1/html/globals_0x75.html from install of pulseaudio-libs-devel-1.1-9.fc17.i686 conflicts with file from package pulseaudio-libs-devel-1.1-9.fc17.x86_64
  file /usr/share/doc/pulseaudio-libs-devel-1.1/html/globals_0x76.html from install of pulseaudio-libs-devel-1.1-9.fc17.i686 conflicts with file from package pulseaudio-libs-devel-1.1-9.fc17.x86_64
  file /usr/share/doc/pulseaudio-libs-devel-1.1/html/globals_0x78.html from install of pulseaudio-libs-devel-1.1-9.fc17.i686 conflicts with file from package pulseaudio-libs-devel-1.1-9.fc17.x86_64
  file /usr/share/doc/pulseaudio-libs-devel-1.1/html/globals_defs.html from install of pulseaudio-libs-devel-1.1-9.fc17.i686 conflicts with file from package pulseaudio-libs-devel-1.1-9.fc17.x86_64
  file /usr/share/doc/pulseaudio-libs-devel-1.1/html/globals_enum.html from install of pulseaudio-libs-devel-1.1-9.fc17.i686 conflicts with file from package pulseaudio-libs-devel-1.1-9.fc17.x86_64
  file /usr/share/doc/pulseaudio-libs-devel-1.1/html/globals_eval.html from install of pulseaudio-libs-devel-1.1-9.fc17.i686 conflicts with file from package pulseaudio-libs-devel-1.1-9.fc17.x86_64
  file /usr/share/doc/pulseaudio-libs-devel-1.1/html/globals_eval_0x64.html from install of pulseaudio-libs-devel-1.1-9.fc17.i686 conflicts with file from package pulseaudio-libs-devel-1.1-9.fc17.x86_64
  file /usr/share/doc/pulseaudio-libs-devel-1.1/html/globals_eval_0x65.html from install of pulseaudio-libs-devel-1.1-9.fc17.i686 conflicts with file from package pulseaudio-libs-devel-1.1-9.fc17.x86_64
  file /usr/share/doc/pulseaudio-libs-devel-1.1/html/globals_eval_0x69.html from install of pulseaudio-libs-devel-1.1-9.fc17.i686 conflicts with file from package pulseaudio-libs-devel-1.1-9.fc17.x86_64
...
Comment 1 Brendan Jones 2012-06-15 05:21:54 EDT
*** Bug 809461 has been marked as a duplicate of this bug. ***
Comment 2 gatlibs 2012-06-22 21:02:00 EDT
I am confirming this on F17 x86_64 (upgraded from F16 x86_64).
Should a developmental package be installing files to /usr/share/doc/*? Should there be pulseaudio-libs-doc.noarch?
Comment 3 gatlibs 2012-06-23 14:19:59 EDT
These look to be the same bugs: Bug 342971, & Bug 228383.
Comment 4 Göran Uddeborg 2012-09-18 05:50:55 EDT
In case someone isn't already aware: the difference between the packages is only a silly timestamp:

freddi$ diff usr/share/doc/pulseaudio-libs-devel-1.1/html/annotated.html /usr/share/doc/pulseaudio-libs-devel-1.1/html/annotated.html
111c111
<     <li class="footer">Generated on Sat Apr 21 2012 22:56:27 for PulseAudio by
---
>     <li class="footer">Generated on Sat Apr 21 2012 22:56:31 for PulseAudio by

I didn't check ALL files, but it was true for the ones I checked.
Comment 5 Fedora End Of Life 2013-07-03 19:57:53 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2013-07-31 23:08:14 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.